1. API
  2. Records

Records: Update

Description

Updates a single record.

Request

HTTP Method: PUT

Parameter Description
add_child_records Optional An array of record IDs to be added to the record as child records. If a record already belongs to another parent, it will be moved to the new parent (the previous parent-child relationship is removed). Adding a child record that would create a circular dependency (e.g. A is a child of B which is a child of A) will fail with a validation error.
remove_child_records Optional An array of record IDs to remove from the record as child records
add_case_ids Optional An array of case IDs to be linked to the record
remove_case_ids Optional An array of case IDs to be unlinked from the record
field_values Optional An array of objects. Each object should contain a field_id of the field you wish to update and a value for the updated value.
resolve_artifacts Optional Boolean true or false value. When false, Artifacts (large text) fields in the response return a reference object containing the artifact ID instead of the full contents. See the Get Records API for details.
include_children Optional Boolean true or false value. When true, child records are returned with their full field data. When false, child records are omitted from the response. See the Get Records API for details.
Field values Description
field_id The ID of the field you wish to update.
value The value to update the field with.
Path Parameter Description
record_id The ID of the record to update.

Sample request

curl -X PUT \
  "https://<tenant-domain>/api/v1/records/<<record_id>>?resolve_artifacts=false&include_children=false" \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
    "add_child_records": ["1"],
    "field_values": [{"field_id":"285","value":"true"}],
    "add_case_ids": ["14","19"]
  }'

Response

A successful request will return a JSON object representing the specified record.

Field description

Parameter Description
id The record ID.
created_at ISO 8601 Timestamp representing the creation date and time of the record.
updated_at ISO 8601 Timestamp representing the last update date and time of the record.
story The story the record was created from.
story_run_guid The story run guid the record was created from.
record_type The type of record the record was created for.
records The captured data for the given instance of the record type.
child_records An array of objects containing child record data. See the Get Records API for details.
child_records_truncated Boolean indicating whether the child records list was truncated. Only present when child records are included in the response.
case_ids The case IDs linked to this record.
result The captured data in key-value format.

Sample response

{
  "id": 59,
  "created_at": "2023-06-14T15:09:02Z",
  "updated_at": "2023-06-14T15:10:32Z",
  "story": {
    "id": 8,
    "name": "Create new IOC"
  },
  "story_run_guid": "82c8e2c8-ab56-49c9-bdb9-1ea5b7fd5b2e",
  "record_type": {
    "id": 1,
    "name": "Alert"
  },
  "records": [
    {
      "field_id": "36",
      "name": "Story name",
      "value": "Create new IOC"
    },
    {
      "field_id": "37",
      "name": "Timestamp",
      "value": "2023-06-14 16:09:02"
    },
    {
      "field_id": "38",
      "name": "Name",
      "value": "Example"
    }
  ],
  "case_ids": [14, 19],
  "result": {
    "id": 59,
    "updated_at": "2023-06-14T15:10:32Z",
    "case_ids": [14, 19],
    "Story name": "Create new IOC",
    "Timestamp": "2023-06-14 16:09:02",
    "Name": "Example"
  }
}
Was this helpful?